/*#############################################################################
#### LightOS                                                              #####
#############################################################################*/
.global _start
.extern _main
.extern main
.extern exit
/*#############################################################################
#### Code                                                                 #####
#############################################################################*/
.code32
.section .text
  /*################################################################
  ##### Entry Point                                            #####
  ################################################################*/
  _start:
    /* Create stackframe */
    pushl $0
    mov %esp, %ebp

    /* Call application entry */
    mov $main, %eax
    push %eax
    call _main
    add $4, %esp

    /* exit */
    push %eax
    call exit
